Customers
plan is null when there is no SCHEDULED or ACTIVE purchase.
Authorization
apiKey AuthorizationBearer <token>
Organisation-scoped key from Settings → API Keys.
In: header
Path Parameters
id*string
Customer id.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/customers/cus_abc123/plan"{ "statusCode": 200, "statusDetail": { "status": "SUCCESS", "message": "OK" }, "result": { "customerId": "cus_abc123", "currency": { "code": "USD", "rateUsd": 1 }, "plan": { "purchaseId": "pur_ghi789", "planId": "plan_growth", "planName": "Growth", "planType": "BUNDLE", "planKind": "FLAT_PRICE", "seatScope": "CUSTOMER", "billingCycle": "MONTHLY", "cost": 499, "status": "ACTIVE", "billingDate": "2026-08-01T00:00:00.000Z", "spendingLimit": 1000, "spentThisCycle": 412.35, "meters": { "wallet": true, "credit": true, "outcome": false, "unit": false } } }}{ "statusCode": 401, "statusDetail": { "status": "ERROR", "message": "Invalid API key." }, "result": {}}{ "statusCode": 404, "statusDetail": { "status": "ERROR", "message": "No customer with id \"cus_abc123\"." }, "result": {}}{ "statusCode": 500, "statusDetail": { "status": "ERROR", "message": "Could not complete the request." }, "result": {}}The same call, addressed by the customer's externalId. Same response.
Authorization
apiKey AuthorizationBearer <token>
Organisation-scoped key from Settings → API Keys.
In: header
Path Parameters
externalId*string
Your own id for the customer (its externalId): 1–32 letters, numbers or "-", matched exactly (case-sensitive).
Match
^[A-Za-z0-9-]{1,32}$Length
1 <= length <= 32Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/customers/ext/acme-42/plan"{ "statusCode": 200, "statusDetail": { "status": "SUCCESS", "message": "OK" }, "result": { "customerId": "cus_abc123", "currency": { "code": "USD", "rateUsd": 1 }, "plan": { "purchaseId": "pur_ghi789", "planId": "plan_growth", "planName": "Growth", "planType": "BUNDLE", "planKind": "FLAT_PRICE", "seatScope": "CUSTOMER", "billingCycle": "MONTHLY", "cost": 499, "status": "ACTIVE", "billingDate": "2026-08-01T00:00:00.000Z", "spendingLimit": 1000, "spentThisCycle": 412.35, "meters": { "wallet": true, "credit": true, "outcome": false, "unit": false } } }}{ "statusCode": 400, "statusDetail": { "status": "ERROR", "message": "Request body must be valid JSON." }, "result": {}}{ "statusCode": 401, "statusDetail": { "status": "ERROR", "message": "Invalid API key." }, "result": {}}{ "statusCode": 404, "statusDetail": { "status": "ERROR", "message": "No customer with id \"cus_abc123\"." }, "result": {}}{ "statusCode": 500, "statusDetail": { "status": "ERROR", "message": "Could not complete the request." }, "result": {}}